import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
// import { CommonFunctions } from 'src/app/core/common/common-functions';
// import { environment } from 'src/environments/environment';




@Injectable({
    providedIn: 'root'
})

export class RoomContractService {
    constructor(private http: HttpClient) { }
   
    GetAllRoomContract() {
        return this.http.get(environment.APIBaseUrl + "/RoomContract/GetAllContractRoom")
    };
    
    UpdateStatus(form) {
        return this.http.post(environment.APIBaseUrl + "/RoomContract/UpdateStatus", form)
    };

}